VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Namespaces | Macros | Variables
vstguieditor.cpp File Reference
`#include "vstguieditor.h"`
`#include "public.sdk/source/main/moduleinit.h"`
`#include "pluginterfaces/base/keycodes.h"`
`#include "vstgui/vstkeycode.h"`
`#include "base/source/fstring.h"`

## Namespaces
namespace | VSTGUI
namespace | Steinberg
namespace | Steinberg::Vst

## Macros
#define | VSTGUI_NEEDS_INIT_LIB ((VSTGUI_VERSION_MAJOR == 4 && VSTGUI_VERSION_MINOR > 9) || (VSTGUI_VERSION_MAJOR > 4))

## Variables
void * | moduleHandle
void * | soHandle = nullptr

## Macro Definition Documentation

#define VSTGUI_NEEDS_INIT_LIB ((VSTGUI_VERSION_MAJOR == 4 && VSTGUI_VERSION_MINOR > 9) || (VSTGUI_VERSION_MAJOR > 4))

## Variable Documentation

void* moduleHandle

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.